| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
optoICCSdk.icc4c.ICC4cBoard Class Reference

parent class => Board
More...

Inheritance diagram for optoICCSdk.icc4c.ICC4cBoard:

## Public Member Functions
def | __init__ (self, str or None port=None, int baudrate=256000, bool comm_lock=True, bool verbose=False, bool simple=False, bool board_reset=False, float inter_byte_timeout=0.2, device_platform=DevicePlatform.ALL)

## Public Attributes
| Status
| => ICCStatus
| TemperatureManager
| => ICCTemperatureManager
| MiscFeatures
| => ICCMiscFeatures
| Logger
| => Logger
| SnapshotManager
| => SnapshotManager
| Channel_0
| => ICC4cChannel
| Channel_1
| => ICC4cChannel
| Channel_2
| => ICC4cChannel
| Channel_3
| => ICC4cChannel
| channel
| all available channels array of type => ICC4cChannel
| EEPROM
| => ICCBoardEEPROM
| SignalFlowManager
| => SignalFlowManager
| VectorPatternMemory
| => VectorPatternMemory
| ADCcontrol
| => ADCcontrol
| DACcontrol
| => DACcontrol

## Detailed Description

parent class => Board

        Board object from which to issue ICC-4C commands over a serial connection.

        Parameters
        ----------
        port, baudrate, comm_lock, verbose
        Standard serial connection parameters. Extended from Connection class.
        simple: bool, optional = False
        Determines whether or not Board will be set in simple-mode after initialization.
        board_reset: bool, optional = False
        Determines whether or not to reset the Board during initialization.
        Raises
        ------
        none

        Notes
        -----
        Board extends Connection class. Refer to Connection for methods, parameters, etc.
        Board inherits Commands. Refer to Commands for methods, parameters, etc.

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.icc4c.ICC4cBoard.__init__ | ( |  | self,
|  | str or None | port = `None`,
|  | int | baudrate = `256000`,
|  | bool | comm_lock = `True`,
|  | bool | verbose = `False`,
|  | bool | simple = `False`,
|  | bool | board_reset = `False`,
|  | float | inter_byte_timeout = `0.2`,
|  |  | device_platform = `DevicePlatform.ALL`
| ) |  |

## Member Data Documentation

## ◆ Status

optoICCSdk.icc4c.ICC4cBoard.Status

=> ICCStatus

## ◆ TemperatureManager

optoICCSdk.icc4c.ICC4cBoard.TemperatureManager

=> ICCTemperatureManager

## ◆ MiscFeatures

optoICCSdk.icc4c.ICC4cBoard.MiscFeatures

=> ICCMiscFeatures

## ◆ Logger

optoICCSdk.icc4c.ICC4cBoard.Logger

=> Logger

## ◆ SnapshotManager

optoICCSdk.icc4c.ICC4cBoard.SnapshotManager

=> SnapshotManager

## ◆ Channel_0

optoICCSdk.icc4c.ICC4cBoard.Channel_0

=> ICC4cChannel

## ◆ Channel_1

optoICCSdk.icc4c.ICC4cBoard.Channel_1

=> ICC4cChannel

## ◆ Channel_2

optoICCSdk.icc4c.ICC4cBoard.Channel_2

=> ICC4cChannel

## ◆ Channel_3

optoICCSdk.icc4c.ICC4cBoard.Channel_3

=> ICC4cChannel

## ◆ channel

optoICCSdk.icc4c.ICC4cBoard.channel

all available channels array of type => ICC4cChannel

## ◆ EEPROM

optoICCSdk.icc4c.ICC4cBoard.EEPROM

=> ICCBoardEEPROM

## ◆ SignalFlowManager

optoICCSdk.icc4c.ICC4cBoard.SignalFlowManager

=> SignalFlowManager

## ◆ VectorPatternMemory

optoICCSdk.icc4c.ICC4cBoard.VectorPatternMemory

=> VectorPatternMemory

## ◆ ADCcontrol

optoICCSdk.icc4c.ICC4cBoard.ADCcontrol

=> ADCcontrol

## ◆ DACcontrol

optoICCSdk.icc4c.ICC4cBoard.DACcontrol

=> DACcontrol